Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 607357 - pkgconfig file of SDL_mixer should add -lm
pkgconfig file of SDL_mixer should add -lm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: SDL_mixer (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 17:43 EDT by Philip Chimento
Modified: 2010-06-25 10:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-24 04:26:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Chimento 2010-06-23 17:43:33 EDT
Description of problem:
When compiling a program using SDL_mixer, linking halted, complaining about not being linked to -lm.

Version-Release number of selected component (if applicable):
1.2.11-2

How reproducible:
Compile a program which includes
PKG_CHECK_MODULES([WHATEVER], [SDL_mixer])
in its configure.ac.

Steps to Reproduce:
see above
  
Actual results:
/usr/bin/ld: /usr/lib/libSDL_mixer.so: undefined reference to symbol 'pow@@GLIBC_2.0'
/usr/bin/ld: note: 'pow@@GLIBC_2.0' is defined in DSO /lib/libm.so.6 so try adding it to the linker command line

Expected results:
no error

Additional info:
Can be solved by adding
WHATEVER_LIBS="$WHATEVER_LIBS -lm"
to configure.ac.
Comment 1 Hans de Goede 2010-06-24 03:58:40 EDT
Note that the -lm does not need to be present in pkg-config, instead SDL_mixer itself should be directly linked against -lm.

I'll take care of fixing this.
Comment 2 Hans de Goede 2010-06-24 04:26:00 EDT
A fixed build is on its way to rawhide. I've also filed an upstream bug for this:
http://bugzilla.libsdl.org/show_bug.cgi?id=1010
Comment 3 Fedora Update System 2010-06-25 03:26:20 EDT
SDL_mixer-1.2.11-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/SDL_mixer-1.2.11-3.fc13
Comment 4 Hans de Goede 2010-06-25 03:39:16 EDT
(In reply to comment #3)
> SDL_mixer-1.2.11-3.fc13 has been submitted as an update for Fedora 13.
> http://admin.fedoraproject.org/updates/SDL_mixer-1.2.11-3.fc13    

Hi,

It really is not necessary to do an F-13 update for this, as it only causes
problems when compiling things and people compiling things / other packages which do need to issue an update for F-13 should be able to work around this easily.

Regards,

Hans
Comment 5 Thomas Janssen 2010-06-25 10:31:06 EDT
Ok, thanks for taking care. I will revoke the update then.

Note You need to log in before you can comment on or make changes to this bug.